=== debian/control ===
Source: xprobe
Section: net
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Sophie Brun <sophie@freexian.com>
Build-Depends: debhelper-compat (= 13), libpcap-dev (>= 0.7.1)
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/pkg-security-team/xprobe.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/xprobe

Package: xprobe
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: xprobe2
Description: Remote OS identification
 Xprobe2 allows you to determine what operating system is running on a
 remote host. It sends several packets to a host and analyses the
 returned answers.
 .
 Xprobe2's functionality is comparable to the OS fingerprinting feature
 in nmap (written by a different Fyodor):
  - Outputs its level of confidence about the OS on the remote host.
  - Remains usable even if intermediate systems (routers, firewalls) make
    slight modifications to the packets.
  - Can list the type of intermediate device (e.g. "Linux IP masquerading").
  - Modular architecture allows new fingerprinting tests and new OS
    signatures to be added.
