=== debian/watch ===
version=4
https://sf.net/xprobe/ xprobe2-(.+)\.tar\.gz
